package kr.gmtc.gw.standstatus.config;

import java.util.HashMap;
import java.util.LinkedList;
import java.util.Map;
import java.util.Queue;
import java.util.concurrent.LinkedBlockingQueue;

import kr.gmtc.gw.comp.rest.vo.RestServiceData;
import kr.gmtc.gw.standstatus.kafka.vo.AiVideoMetaData;
import kr.gmtc.gw.standstatus.vo.AlarmMsgVO;
import lombok.Setter;

@Setter
public class QueueManageBean {
    
    private LinkedBlockingQueue<AiVideoMetaData> recvVideoQ;
    private Queue<AlarmMsgVO> alamMsgQ;
    private Map<Integer, LinkedList<RestServiceData>> serviceList;
    private boolean serviceRunnig;

    public QueueManageBean(){
        this.recvVideoQ =  new LinkedBlockingQueue<AiVideoMetaData>();
        this.alamMsgQ = new LinkedBlockingQueue<AlarmMsgVO>();
        this.serviceList = new HashMap<Integer, LinkedList<RestServiceData>>();
        this.serviceRunnig = false;
    }

}
